> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Pay Links Transactions by ID

> Retrieve all transactions associated with a specific paylink ID.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml GET /v1/paylink/{id}/transactions
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/paylink/{id}/transactions:
    get:
      tags:
        - Paylink
      summary: Get a Pay Links Transactions by ID
      description: Retrieve all transactions associated with a specific paylink ID.
      operationId: PaylinkController_getPaylinkTransactions
      parameters:
        - name: apiKey
          required: true
          in: query
          description: >-
            Your API key can be generated on the Helio Dashboard’s settings
            page.
          schema:
            type: string
        - name: senderPK
          required: false
          in: query
          description: The public key of the sender initiating the transaction.
          schema:
            type: string
        - name: to
          required: false
          in: query
          description: The destination wallet address or recipient identifier.
          schema:
            type: string
        - name: from
          required: false
          in: query
          description: The source wallet address or sender identifier.
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: The ID of the pay link whose transactions you want to retrieve
          schema:
            type: string
      responses:
        '200':
          description: Successful transaction retrieval
          content:
            application/json:
              examples:
                success:
                  summary: Example transaction response
                  value:
                    - id: 67ee7d16fb4b2c573ed15a74
                      paylinkId: 67ed6a997f38797b45e65d95
                      fee: '10'
                      quantity: 1
                      createdAt: '2025-04-03T12:20:38.408Z'
                      paymentType: PAYLINK
                      paylink:
                        id: 67ed6a997f38797b45e65d95
                        platform: HELIO
                        description: ''
                        template: OTHER
                        disabled: false
                        inactive: false
                        notifySenderByEmail: false
                        notifyReceiverByEmail: false
                        addDiscordRole: false
                        addTelegramGroup: true
                        features:
                          canChangeQuantity: false
                          canChangePrice: false
                          requireQuantityLimits: false
                          requireCountry: false
                          requireEmail: true
                          requireDeliveryAddress: false
                          requireDiscordUsername: false
                          requireDiscordLogin: false
                          requireFullName: false
                          requirePhoneNumber: false
                          requireTwitterUsername: false
                          requireTelegramUsername: true
                          requireProductDetails: false
                          requireMaxTransactions: false
                          requireNftGate: false
                          requireDiscordAuth: false
                          requireAccessCode: false
                          requireXFollow: false
                          requireRaffle: false
                          splitRevenue: false
                          splitEqually: true
                          canSwapTokens: true
                          canPayWithCard: true
                          nftDropEnabled: false
                          showDiscountCode: false
                          isEscrowed: false
                          requireAllowlist: false
                          allowAffiliate: false
                          isEventEnabled: false
                          enableCountdown: false
                          requireCaptchaValidation: false
                          shouldRedirectOnSuccess: false
                          customThemeEnabled: false
                          isSubscription: false
                          hasRedirectQueryParams: false
                        maxTransactions: 1
                        name: tg testing sol
                        nftCollectionAddress: ''
                        discordAuthDetails: []
                        dynamic: false
                        affiliateDetails: null
                        price: '1000'
                        normalizedPrice: '1000'
                        redirectUrl: ''
                        redirectQueryParams: []
                        customTheme:
                          primaryColor: '#F76C1B'
                          neutralColor: '#5A6578'
                          themeMode: LIGHT
                          textColorOnButton: BLACK
                          backgroundColor: '#F9F9F9'
                        content: {}
                        creator:
                          id: 667c1f9352919e407156128a
                          userType: MERCHANT
                          email: jesse.baffour@helio.co
                          name: ''
                          isDisabled: false
                          kycVerified: false
                          platformDetails:
                            platform: HELIO
                        company:
                          id: 667c1f9352919e407156128c
                          name: Helio
                          email: jesse@hel.io
                          websiteUrl: ''
                          discordUsername: ''
                          address: ''
                          phoneNumber: ''
                          escrowFunds: false
                          twitterConfirmed: false
                          kycVerified: false
                          kybVerified: false
                        currency:
                          id: 6340313846e4f91b8abc519b
                          blockchain: null
                        wallet:
                          id: 667c1f9352919e4071561294
                          name: ''
                          btcProperties: null
                        recipients:
                          - currency:
                              id: 6340313846e4f91b8abc519b
                              blockchain: null
                            wallet:
                              id: 667c1f9352919e4071561294
                              name: ''
                              btcProperties: null
                              blockchainEngine: null
                        volume: 0
                        sales: '0'
                        product: null
                        discountCodes: []
                        discordRoleIds: []
                        telegramGroupIds:
                          - '-1002545794381'
                        pricingCurrency:
                          id: 6340313846e4f91b8abc519b
                          name: USD Coin
                          decimals: 6
                          order: 1
                          mintAddress: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                          coinMarketCapId: 3408
                          symbol: USDC
                          symbolPrefix: $
                          type: DIGITAL
                          iconUrl: USDC.svg
                          features:
                            - PAYMENT_PRICING
                            - PAYMENT_RECIPIENT
                            - SWAP
                          blockchain:
                            id: 6340313846e4f91b8abc515c
                            engine: null
                        createdAt: '2025-04-02T16:49:29.704Z'
                      meta:
                        id: 67ee7d16fb4b2c573ed15a72
                        amount: '990'
                        senderPK: 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                        recipientPK: 7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW
                        transactionType: PAYLINK
                        customerDetails:
                          email: jesse@hel.io
                          discordUser: null
                          telegramUsername: j_b111
                          telegramUser:
                            username: j_b111
                        productDetails: null
                        additionalProductDetails: []
                        transactionSignature: >-
                          3iKQ2cgmHH9EYJRHPB2h2qW85RdizwDy8K2KsJMWr2JgFeHoXfzNk94abftZ4Tr69zuhtHrfiWa4CkgBfYBkJztT
                        transactionStatus: SUCCESS
                        splitRevenue: false
                        remainingAccounts: []
                        totalAmount: '990'
                        totalAmountAsUSD: '990'
                        affiliateAmount: '0'
                        tokenQuote:
                          from: USDC
                          fromAmountDecimal: '0.001'
                          to: USDC
                          toAmountMinimal: '1000'
                        shopifyPaymentDetails: null
                        submitGeolocation: GB
                        currency:
                          id: 6340313846e4f91b8abc519b
                          name: USD Coin
                          decimals: 6
                          order: 1
                          mintAddress: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
                          coinMarketCapId: 3408
                          symbol: USDC
                          symbolPrefix: $
                          type: DIGITAL
                          iconUrl: USDC.svg
                          features:
                            - PAYMENT_PRICING
                            - PAYMENT_RECIPIENT
                            - SWAP
                      paymentRequestCreatorId: 667c1f9352919e407156128a
                      paymentRequestName: tg testing sol
                      paymentRequestCurrencySymbol: USDC
                      paymentRequestBlockchain: SOL
                      refunds: []
        '401':
          description: Provided API key has no access to the resource.
          content:
            application/json:
              examples:
                unauthorized:
                  summary: Invalid or missing API key
                  value:
                    message: Api key or token is invalid
                    code: 401
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````